## r-cran-modeltools 0.2

=== DESCRIPTION ===
Package: modeltools
Title: Tools and Classes for Statistical Models
Date: 2025-05-02
Version: 0.2-24
Authors@R: c(person(given = "Torsten",
                        family = "Hothorn",
                        role = c("aut", "cre"),
                        email = "Torsten.Hothorn@R-project.org", 
                        comment = c(ORCID = "0000-0001-8301-0471")),
                 person(given = "Friedrich",
                        family = "Leisch",
                        role = "aut",
                        comment = c(ORCID = "0000-0001-7278-1983")),
                 person(given = "Achim",
                        family = "Zeileis",
                        role = "aut",
                        comment = c(ORCID = "0000-0003-0918-3766")))
Description: A collection of tools to deal with statistical models. 
  The functionality is experimental and the user interface is likely to
  change in the future. The documentation is rather terse, but packages `coin'
  and `party' have some working examples. However, if you find the
  implemented ideas interesting we would be very interested in a discussion
  of this proposal. Contributions are more than welcome!
Depends: stats, stats4
Imports: methods
LazyLoad: yes
License: GPL-2
NeedsCompilation: no
Packaged: 2025-05-02 09:58:16 UTC; hothorn
Author: Torsten Hothorn [aut, cre] (ORCID:
    <https://orcid.org/0000-0001-8301-0471>),
  Friedrich Leisch [aut] (ORCID: <https://orcid.org/0000-0001-7278-1983>),
  Achim Zeileis [aut] (ORCID: <https://orcid.org/0000-0003-0918-3766>)
Maintainer: Torsten Hothorn <Torsten.Hothorn@R-project.org>
Repository: CRAN
Date/Publication: 2025-05-02 14:30:07 UTC

## r-cran-modeltools 0.2-21

=== debian/changelog ===
r-cran-modeltools (0.2-21-1) unstable; urgency=low

  * Initial release. (Closes: #797251)

 -- Jonathon Love <jon@thon.cc>  Sat, 29 Aug 2015 03:20:27 +0200

=== debian/control ===
Source: r-cran-modeltools
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-modeltools.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-modeltools.git
Homepage: http://cran.r-project.org/package=modeltools

Package: r-cran-modeltools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-base
Description: GNU R package providing a collection of tools to deal with statistical models
 The r-cran-modeltools package is a GNU R package providing a collection
 of tools to deal with statistical models.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/modeltools_([\d\.-]*).tar.gz

## r-cran-modeltools 0.2-22

=== debian/changelog ===
r-cran-modeltools (0.2-22-1) unstable; urgency=medium

  * Team Upload
  * New upstream version
  * Remove libgdal-dev from Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2018 07:13:53 +0200

r-cran-modeltools (0.2-21-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jul 2018 08:37:08 +0200

r-cran-modeltools (0.2-21-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 15:45:30 +0200

r-cran-modeltools (0.2-21-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for r-api-3.4 transition.
  * Bump to watch file format version 4.
  * Use secure URL in Format field of d/copyright.
  * Convert to dh-r.
  * Bump to debhelper compat level 10.
  * Bump Standards-Version to 4.1.0.
  * Use secure URL for Vcs-Git.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 28 Sep 2017 21:31:23 +0200

=== debian/control ===
Source: r-cran-modeltools
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-modeltools
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-modeltools.git
Homepage: http://cran.r-project.org/package=modeltools

Package: r-cran-modeltools
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing a collection of tools to deal with statistical models
 The r-cran-modeltools package is a GNU R package providing a collection
 of tools to deal with statistical models.

## r-cran-modeltools 0.2-23

=== debian/changelog ===
r-cran-modeltools (0.2-23-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:15:17 +0000

r-cran-modeltools (0.2-23-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 08:24:38 +0200

r-cran-modeltools (0.2-23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Use secure URI in Homepage field.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 Mar 2020 07:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-modeltools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-modeltools.git
-Homepage: http://cran.r-project.org/package=modeltools
+Homepage: https://cran.r-project.org/package=modeltools
+Rules-Requires-Root: no
 
 Package: r-cran-modeltools
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/modeltools_([\d\.-]*).tar.gz

## r-cran-modeltools 0.2-24

=== debian/changelog ===
r-cran-modeltools (0.2-24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 13:44:24 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-modeltools
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-modeltools.git
 Homepage: https://cran.r-project.org/package=modeltools
